Package org.apache.solr.common.params

## Enum FacetParams.FacetRangeOther

- java.lang.Object
- - java.lang.Enum<FacetParams.FacetRangeOther>
  - - org.apache.solr.common.params.FacetParams.FacetRangeOther

All Implemented Interfaces:
  `Serializable`, `Comparable<FacetParams.FacetRangeOther>`

Enclosing interface:
  FacetParams

    public static enum FacetParams.FacetRangeOther
    extends Enum<FacetParams.FacetRangeOther>

An enumeration of the legal values for `FacetParams.FACET_RANGE_OTHER` and `FacetParams.FACET_DATE_OTHER` ...

- before = the count of matches before the start
- after = the count of matches after the end
- between = the count of all matches between start and end
- all = all of the above (default value)
- none = no additional info requested

See Also:
  `FacetParams.FACET_RANGE_OTHER`, `FacetParams.FACET_DATE_OTHER`

### Enum Constant Summary

Enum Constants
`AFTER`
`ALL`
`BEFORE`
`BETWEEN`
`NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FacetParams.FacetRangeOther` `get​(String label)`
`String` `toString()`
`static FacetParams.FacetRangeOther` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FacetParams.FacetRangeOther[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BEFORE

    public static final FacetParams.FacetRangeOther BEFORE

#### AFTER

    public static final FacetParams.FacetRangeOther AFTER

#### BETWEEN

    public static final FacetParams.FacetRangeOther BETWEEN

#### ALL

    public static final FacetParams.FacetRangeOther ALL

#### NONE

    public static final FacetParams.FacetRangeOther NONE

### Method Detail

#### values

    public static FacetParams.FacetRangeOther[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FacetParams.FacetRangeOther c : FacetParams.FacetRangeOther.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FacetParams.FacetRangeOther valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<FacetParams.FacetRangeOther>`

#### get

    public static FacetParams.FacetRangeOther get​(String label)